# hubaxle-api-client
Manage GLHub

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.0
- Package version: 1.0.0
- Generator version: 7.4.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import hubaxle_api_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import hubaxle_api_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import hubaxle_api_client
from hubaxle_api_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = hubaxle_api_client.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure HTTP basic authorization: basicAuth
configuration = hubaxle_api_client.Configuration(
    username = os.environ["USERNAME"],
    password = os.environ["PASSWORD"]
)


# Enter a context with an instance of the API client
with hubaxle_api_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = hubaxle_api_client.AppDataApi(api_client)

    try:
        api_response = api_instance.get_app_config()
        print("The response of AppDataApi->get_app_config:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling AppDataApi->get_app_config: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AppDataApi* | [**get_app_config**](docs/AppDataApi.md#get_app_config) | **GET** /api/v1/appdata/app/appconfig | 
*AppDataApi* | [**patch_app_config**](docs/AppDataApi.md#patch_app_config) | **PATCH** /api/v1/appdata/app/appconfig | 
*AppDataApi* | [**put_app_config**](docs/AppDataApi.md#put_app_config) | **PUT** /api/v1/appdata/app/appconfig | 
*CamerasApi* | [**list_cameras**](docs/CamerasApi.md#list_cameras) | **GET** /api/v1/cameras | 
*SecretsApi* | [**create_secret**](docs/SecretsApi.md#create_secret) | **POST** /api/v1/secrets | 
*SecretsApi* | [**list_secrets**](docs/SecretsApi.md#list_secrets) | **GET** /api/v1/secrets | 


## Documentation For Models

 - [CameraConfig](docs/CameraConfig.md)
 - [ConfigEntry](docs/ConfigEntry.md)
 - [ConfigEntryRequest](docs/ConfigEntryRequest.md)
 - [KindEnum](docs/KindEnum.md)
 - [PatchedConfigEntryRequest](docs/PatchedConfigEntryRequest.md)
 - [Secret](docs/Secret.md)
 - [SecretRequest](docs/SecretRequest.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="basicAuth"></a>
### basicAuth

- **Type**: HTTP basic authentication


## Author

info@groundlight.ai


